﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class TICKETS_HtmlChart_2014_Q1_Pin_Down_Pin_Down : System.Web.UI.Page
{
	private RadHtmlChart chart1 = null;
	const string VALUE_FIELD = "value";

	protected void Page_Init(object sender, EventArgs e)
	{
		chart1 = new RadHtmlChart();
		chart1.Skin = "Black";
		ColumnSeries column = new ColumnSeries();
		column.DataFieldY = VALUE_FIELD;
		chart1.PlotArea.Series.Add(column);
		Page.Form.Controls.Add(chart1);
	}

	protected void Page_Load(object sender, EventArgs e)
	{
		chart1.DataSource = GetData1();
		chart1.DataBind();		
	}

	protected DataTable GetData1()
	{
		DataTable table = new DataTable();
		table.Columns.Add(new DataColumn(VALUE_FIELD, typeof(int)));
		table.Rows.Add(new object[] { 10 });
		table.Rows.Add(new object[] { 20 });
		table.Rows.Add(new object[] { 10 });
		table.Rows.Add(new object[] { 20 });
		table.Rows.Add(new object[] { 10 });
		table.Rows.Add(new object[] { 20 });
		return table;
	}


	protected DataTable GetData2()
	{
		DataTable table = new DataTable();
		table.Columns.Add(new DataColumn(VALUE_FIELD, typeof(int)));
		table.Rows.Add(new object[] { 50 });
		table.Rows.Add(new object[] { 50 });
		table.Rows.Add(new object[] { 50 });
		table.Rows.Add(new object[] { 50 });
		table.Rows.Add(new object[] { 50 });
		table.Rows.Add(new object[] { 50 });
		return table;
	}

	protected void ButtonAddChart_Click(object sender, EventArgs e)
	{
		RadHtmlChart chart2 = new RadHtmlChart();
		chart2.Skin = "BlackMetroTouch";
		ColumnSeries column = new ColumnSeries();
		column.DataFieldY = VALUE_FIELD;
		chart2.PlotArea.Series.Add(column);
		chart2.DataSource = GetData2();
		chart2.DataBind();
		Page.Form.Controls.Add(chart2);
	}
}